Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Q3SqlRecordInfo Class Reference

The Q3SqlRecordInfo class encapsulates a set of database field meta data. More...

     #include <Q3SqlRecordInfo>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

- List of all members, including inherited members

## Public Functions

| Q3SqlRecordInfo ()
| Q3SqlRecordInfo ( const Q3SqlFieldInfoList & other )
| Q3SqlRecordInfo ( const QSqlRecord & other )
size_type | contains ( const QString & fieldName ) const
Q3SqlFieldInfo | find ( const QString & fieldName ) const
QSqlRecord | toRecord () const

## Detailed Description

The Q3SqlRecordInfo class encapsulates a set of database field meta data.

This class is a list that holds a set of database field meta data. Use contains() to see if a given field name exists in the record, and use find() to get a QSqlFieldInfo record for a named field.

See also Q3SqlFieldInfo.

## Member Function Documentation

### Q3SqlRecordInfo::Q3SqlRecordInfo ()

Constructs an empty record info object.

### Q3SqlRecordInfo::Q3SqlRecordInfo ( const Q3SqlFieldInfoList & other )

Constructs a copy of other.

### Q3SqlRecordInfo::Q3SqlRecordInfo ( const QSqlRecord & other )

Constructs a copy of other.

### size_type Q3SqlRecordInfo::contains ( const QString & fieldName ) const

Returns the number of times a field called fieldName occurs in the record. Returns 0 if no field by that name could be found.

### Q3SqlFieldInfo Q3SqlRecordInfo::find ( const QString & fieldName ) const

Returns a QSqlFieldInfo object for the first field in the record which has the field name fieldName. If no matching field is found then an empty QSqlFieldInfo object is returned.

### QSqlRecord Q3SqlRecordInfo::toRecord () const

Returns an empty QSqlRecord based on the field information in this Q3SqlRecordInfo.